
Foreman - Bug #16074

development version listens on 0.0.0.0:3000 and 0.0.0.0:3808 by default

08/11/2016 02:10 PM - Guido Günther

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Rails   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3830,

https://github.com/theforeman/foreman/p

ull/3868

  

Description

Foreman used to be limited to 127.0.0.1 by default making it safe to develop in public places. Please keep it that way.

Related issues:

Related to Foreman - Refactor #12364: Use NPM+Webpack to manage external asse... Closed 11/02/2015

Associated revisions

Revision 3b10c2a9 - 09/14/2016 03:15 AM - Shlomi Zadok

Fixes #16074 - Adds BIND variable to startup process

Instead of binding to 0.0.0.0 we default to localhost

and use ENV variable BIND to override.

This also introduces '.env' files which helps to set

other ENV variables

Revision b8310821 - 09/23/2016 08:03 AM - Ondřej Pražák

Refs #16074 - Load .env when not running a Procfile

Loads .env file when Webpack is started from node_modules/.bin

Revision 9881ab2d - 09/26/2016 07:38 AM - Shlomi Zadok

Fixes #16074 - Adds BIND variable to startup process

Instead of binding to 0.0.0.0 we default to localhost

and use ENV variable BIND to override.

This also introduces '.env' files which helps to set

other ENV variables

(cherry picked from commit 3b10c2a9a8ba62bbacc4bf11e96e75befa56e645)

Revision fd1e0321 - 09/26/2016 07:38 AM - Ondřej Pražák

Refs #16074 - Load .env when not running a Procfile

Loads .env file when Webpack is started from node_modules/.bin

(cherry picked from commit b83108213d068a13216e9c7e6b4e15bc2cfec171)

History

#1 - 08/12/2016 02:59 AM - Dominic Cleal

- Related to Refactor #12364: Use NPM+Webpack to manage external assets (js, css, fonts) added

#2 - 08/12/2016 03:00 AM - Dominic Cleal
- Category set to Rails

- translation missing: en.field_release set to 160

Indeed, 127.0.0.1 is the Rails default for this reason. It should require explicit reconfiguration to open a development instance on all interfaces.

#3 - 09/11/2016 09:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3830 added

#4 - 09/14/2016 04:02 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3b10c2a9a8ba62bbacc4bf11e96e75befa56e645.

#5 - 09/21/2016 02:29 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3868 added
